curl --location --request GET '/caregiver/rooms' \
--header 'Authorization: Bearer <token>'{
"responseMessage": [
"string"
],
"responseCode": 0,
"responseData": {
"rooms": [
{
"responseMessage": [
"string"
],
"responseCode": 0,
"responseData": {
"data": [
{
"_id": "string",
"user1Id": "string",
"user2Id": "string",
"status": true,
"createdAt": "string",
"updatedAt": "string",
"__v": 0,
"lastMessage": {
"_id": "string",
"senderId": "string",
"isRead": true,
"content": "string",
"roomId": "string",
"createdAt": "string",
"updatedAt": "string",
"__v": 0,
"id": "string"
},
"otherParty": {
"documents": {
"idCard": [
"string"
],
"socialSecurity": [
"string"
],
"hudVoucher": [
"string"
],
"bankStatement": [
"string"
],
"income": [
"string"
]
},
"_id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"role": 0,
"profilePicture": null,
"emailVerifiedAt": null,
"emailVerified": true,
"verificationToken": "string",
"provider": "string",
"createdAt": "string",
"updatedAt": "string",
"__v": 0
}
}
]
}
}
]
}
}